#define DSO_ERROR_BADPOINTER		0x0001
//User inputs bad pointer or buffer without enough space//
//ǤJūЩάOЫVOŶ//

#define DSO_UNDEFINED_PARAMETER		0x0002
//User inputs an undefined parameter//
//ǤJwqѼ//

#define DSO_CHANNELINDEX_OUT_RANGE	0x0003
//User inputs a channel index > current initialed device number * 2//
//ǤJqDsjثeҰʪܪiƶq * 2//

#define DSO_DEVICEINDEX_OUT_RANGE	0x0004
//User inputs a device index > current initialed device number//
//ǤJܪisjثeҰʪܪiƶq//

#define DSO_UNSUPPORT_VOLTDIV		0x0005
//Below is the supported voltage division list//
//HUثe䴩q//
//(Input unit: uV)//
//10V, 5V, 2V, 1V, 500mV, 200mV, 100mV, 50mV, 20mV, 10mV, 5mV, 2mV //

#define DSO_VOLTPOS_OUT_RANGE		0x0006
//Voltage position input range is limited from 0 to 16000//
//qmiѿJd016000//

#define DSO_TRIGPOS_OUT_RANGE		0x0007
//Trigger position out of range//
//Ĳom]wWXi\d//

#define DSO_TREASHOLD_OUT_RANGE		0x0008
//Voltage threashold out of range//
//Ĳoq]wWXi\d//

#define DSO_WAIT_TIME_OUT_RANGE		0x0009
//Trigger wait time out of range//
//Ĳoݮɶ]wWXi\d//

#define DSO_TRIGGER_NOT_SUPPORT		0x000A
//Trigger mode not supported in current device//
//ϥΪؤ䴩ӺĲoҦ//

#define DSO_VIDEO_TRIG_ERROR		0x000B
//Video trigger cannot be combined with Equivalent mode//
//bļҦϥεTĲo//

#define DSO_TRIG_WAIT_ERROR			0x000C
//Trigger wait cannot be combined with Equivalent mode//
//bļҦϥεԼҦ//

#define DSO_RECORD_LENGTH_ERROR		0x000D
//Record length must be multiple of 8, and the available range is different from DSO model//
//IƥO8, iվ㪺dh]ؤP//

#define DSO_NO_HARDWARE				0x000E
//No Dso Hardware found//
//䤣DSOw//

#define DSO_UNKNOWN_ERROR			0x000F
//Unknown error //
//]~ //

#define DSO_SAMPLE_RATE_ERROR		0x0010
//User inputs an unsupported sample rate//
//ϥΤF䴩˲v//

#define DSO_MEMORY_NOT_ENOUGH		0x0011
//Memory not enough//
//O餣//

#define DSO_MEASURE_TYPE_ERROR		0x0012
//Measure type select error//
//wq覡~//

#define DSO_MEASURE_RANGE_ERROR		0x0013
//Measure Start/End range error//
//wq\_l/I~//

#define DSO_MEASURE_DATA_ERROR		0x0014
//Measure pre-scan data error, cannot calculate valid result//
//q\˴ƿ~, Lkͭp⵲G//

#define DSO_GROUP_INDEX_OUT_RANGE	0x0015
//The group number is limited from 0 to 19//
//sտܽd019//

#define DSO_MAIN_DLL_NOT_FOUND		0x0016
//DsoRun.dll not exist//
//DsoRun.dll sb//

#define DSO_MAIN_DLL_FUNCTION_ERR	0x0017
//SDK can not load the process address in DsoRun.dll//
//SDK禡LkDsoRun.dllSw禡m//

#define DSO_MAIN_DLL_LOAD_ERR		0x0018
//SDK failed to load DsoRun.dll//
//SDK禡Lk[DsoRun.dll//

#define DSO_GET_TEMP_NAME_ERR		0x0019
//SDK can not get Temp file name//
//SDK禡LkoȦsɮצW//

#define DSO_GET_TEMP_DIR_ERR		0x001A
//SDK can not get the Temp folder directory//
//SDK禡LkWindowsȦsƧ//

#define DSO_FILE_COPY_ERR			0x001B
//SDK failed to copy DsoRun.dll to Temp folder//
//SDKƻsDsoRun.dllȦsƧɵoͿ~//

#define DSO_NOT_INITIAL				0x001C
//DSO Hardware not initialed//
//DSOw|l//

#define DSO_GROUP_PARAMETER_ERR		0x001D
//DSO Group Parameter Error//
//DSO Group Ѽƿ~//

#define DSO_FILE_NOT_EXIST			0x001E
//Target File doesn't exist//
//w|ɮפsb//

#define DSO_REINITIAL				0x001F
//The DSO group had been initialed, call DSO shutdown fucntion before reinitial// 
//DSOwgl, ХIs禡Asil//

#define DSO_USB_DRIVER_ERROR		0x0020
//Some errors happened in DSO USB driver layer, please re-plug the USB cable to solve this problem//
//DSO USB driverX, ЭsDSOӱưD//

#define DSO_USB_UNPLUG				0x0021
//The USB cable has been unpluged//
//DSO USB uwQް//

#define DSO_STACK_ID_ERROR			0x0022
//The input DSO stack serial number is invalid. Please refer to the user manual for the correct format//
//ǤJDSOǸ榡ŦXWw, аѦҨϥΤUyz//

#define DSO_MUST_NOT_INITIAL		0x0023
//Environment settings must be set before DSO initialization//
//DSOҳ]wb|le//

#define DSO_READ_EMPTY				0x0024
//DSO data is empty, need to call uDsoSDKCapture before read data//
//ܪiŪ~, ^L~Ū//

#define DSO_SEQUENCE_ERROR			0x0025
//Functions intial setting not ready, need to call these intial function before use//
//禡emBz禡|, ХIsçemBz禡//

#define DSO_DLL_VER_TOO_OLD			0x0026
//DSORun.dll version is too old, the minimum required version number is 1.4.0.2//
//DSORun.dllL, ̧CݨD1.4.0.2//

#define DSO_VOLTOFS_ERROR			0x0027
//The voltage offset value is out of specification//
//Voltage Offset]wWXWd//
//-150~150 V @ 2, 5, 10 V/div
//-15~15 V @ 0.2, 0.5, 1 V/div
//-1.5~1.5 V @ 2, 5, 10, 20, 50, 100 mV/div

#define DSO_DELAYTRIG_ERROR			0x0028
//The trigger delay time is out of range, valid range is 0~50s//
//ĲoɶWXi]wd (0~50s)//

#define DSO_TRIG_HOLDOFF_ERROR		0x0029
//The trigger holdoff time is out of range, valid range is 0~10s//
//ĲoɶWXi]wd (0~10s)//

#define DSO_PASSFAIL_VALUE_ERROR	0x0030
//The Tolarence value of Pass/Fail setting is out of the max/min value of current VoltDiv/TimeDiv setting//
//Pass/Faile\dWXثeϥΪVoltDiv/TimeDiv]w//